瀏覽代碼

launch script

Sylhaf 8 月之前
父節點
當前提交
ab8bc46232
共有 1 個文件被更改,包括 18 次插入0 次删除
  1. 18 0
      launch.sh

+ 18 - 0
launch.sh

@@ -0,0 +1,18 @@
+#!/bin/bash
+
+#need to be ran WITHIN THE DOCKER !! 
+
+# Navigate to the desired directory
+cd /mnt/dolistripe || exit
+
+# Remove the logs directory (be very careful with this command)
+sudo rm -rf logs
+
+# Install pip using the provided script
+sudo python3 get-pip.py
+
+# Install the required Python packages
+sudo pip install -r requirements.txt
+
+# Run the main Python script with arguments
+sudo python3 main.py -v -m